Get subscription and card details
GET/v3/payments/paymentmethods/recurring/card/details
Retrieve subscription and saved card details on demand. Available once the initial CIT payment has reached CONFIRMED status. At least one of operationId or subscriptionId must be provided along with externalBuyerId.
Request
Query Parameters
Possible values: <= 100 characters
Unique buyer identifier (buyer.externalId).
Identifier of the initial CIT payment (paymentId) that created the subscription. Required if subscriptionId is not provided.
Subscription identifier in Paynow. Required if operationId is not provided.
Header Parameters
Unique key used to authenticate API requests.
The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.
Possible values: <= 45 characters
A unique identifier used to ensure idempotent behavior. If the business application request fails or you receive a timeout you can retry the request with the same Idempotency-Key to guarantee that only one business object is created.
The User-Agent request header contains a characteristic string that allows the network protocol peers to identify the application type, operating system, software vendor or software version of the requesting software user agent.
The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.
Responses
- 200
- 400
- 401
- 404
- 500
- 503
Success
- application/json
- Schema
- Example (from schema)
Schema
subscription
object
required
Subscription identifier in Paynow.
Current subscription status.
Possible values: [ACTIVE, SUSPENDED, DELETED]
initialOperation
object
required
Type of the operation that created the subscription.
Possible values: [PAYMENT]
Identifier of the initial CIT payment (paymentId).
Merchant's externalId of the initial CIT payment.
Unique buyer identifier (buyer.externalId).
Initial registration action of the subscription.
Possible values: [REGISTER_TOKEN_AND_CHARGE]
savedInstrument
object
required
Saved card token.
Current status of the saved card token.
Possible values: [ACTIVE, SUSPENDED, EXPIRED_CARD, EXPIRED_TOKEN, DELETED]
Masked card number (e.g. xxxx xxxx xxxx 1234).
Card expiration date in MM/YY format.
Card network brand (e.g. VISA, MASTERCARD).
URL of the card brand icon.
{
"subscription": {
"id": "e4d1c2e2-9e5a-4d3a-8b9f-1a2b3c4d5e6f",
"status": "ACTIVE",
"initialOperation": {
"type": "PAYMENT",
"id": "NOLV-8F9-08K-WGD",
"externalId": "order-cit-001"
},
"externalBuyerId": "9328",
"action": "REGISTER_TOKEN_AND_CHARGE",
"savedInstrument": {
"token": "6a70bc18-1b93-4973-bbee-061eafcf4b6a",
"status": "ACTIVE",
"name": "xxxx xxxx xxxx 1234",
"expirationDate": "08/29",
"brand": "VISA",
"image": "https://static.sandbox.paynow.pl/payment-method-icons/visa.svg"
}
}
}
Bad request
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [FORBIDDEN, VALIDATION_ERROR, VERIFICATION_FAILED, PAYMENT_METHOD_NOT_AVAILABLE, IDEMPOTENCY_KEY_MISSING, SIGNATURE_MISSING]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "FORBIDDEN",
"message": "string"
}
]
}
{
"statusCode": 400,
"errors": [
{
"errorType": "VALIDATION_ERROR",
"message": "Parameter externalBuyerId must be provided"
}
]
}
Unauthorized, invalid or missing credentials
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
- UnauthorizedErrorDetails
]
Error status code
errors
object[]
required
oneOf
Error details
Error type
Possible values: [UNAUTHORIZED]
Error description
{
"statusCode": 0,
"errors": [
{}
]
}
{
"statusCode": 401,
"errors": [
{
"errorType": "UNAUTHORIZED",
"message": "Unauthorized, invalid or missing credentials"
}
]
}
Not found
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [NOT_FOUND]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "NOT_FOUND",
"message": "string"
}
]
}
{
"statusCode": 404,
"errors": [
{
"errorType": "NOT_FOUND",
"message": "Resource not found"
}
]
}
Internal server error
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [INTERNAL_SERVER_ERROR]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "INTERNAL_SERVER_ERROR",
"message": "string"
}
]
}
{
"statusCode": 500,
"errors": [
{
"errorType": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
]
}
Service is temporarily unavailable
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [SYSTEM_TEMPORARILY_UNAVAILABLE]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "SYSTEM_TEMPORARILY_UNAVAILABLE",
"message": "string"
}
]
}
{
"statusCode": 503,
"errors": [
{
"errorType": "SYSTEM_TEMPORARILY_UNAVAILABLE",
"message": "Service is temporarily unavailable"
}
]
}